LIMEUTIL(1)

NAME
LimeUtil - control and update LMS7 based transceiver devices

SYNOPSIS
LimeUtil [OPTIONS]

DESCRIPTION
LimeUtil is a tool to show information about and control LMS7 based transceiver devices such as the LimeSDR. It can be used to update the firmware and to calibrate the device.

OPTIONS

--help
    Print a help message.

--info
    Print information about LimeSuite and found devices.

--find[="SPEC"]
    Discover available devices, restricted to those matching the SPEC if given. If no matching devices are found it will exit with exit status 1.

--make[="SPEC"]
    Create a device instance.

  Advanced options

--args[="ARGS"]
    Supply arguments ARGS to the --update, --fpga and --fw options.

--update
    Download latest firmware and program it into the device flash memory.

--fpga="FILE"
    Program FPGA firmware image in FILE to device flash memory.

--fw="FILE"
    Program FX3 firmware image in FILE to device flash memory.

--timing
    Time interfaces and operations.

  Calibrations sweep

--cal[="ARGS"]
    Calibrate device. Use ARGS to select and configure device.

--start=FREQ
    Start calibration sweep at frequency FREQ Hz.

--stop=EQ
    Stop calibration sweep at frequency FREQ Hz.

--step=STEP
    Step frequency during calibration sweep by STEP Hz (default 1 MHz).

--bw=BW
    Set calibration bandwidth to BW Hz (default 30 MHz).

--dir=DIR
    Set calibration direction to DIR (one of RX, TX or BOTH, default is BOTH).

--chans=CHANNELS
    Set calibration channels to CHANNELS (one of 0, 1 or ALL, default is ALL).

HOMEPAGE
LimeUtil is part of the Lime Suite (https://myriadrf.org/projects/lime-suite/).

SEE ALSO
LimeSuiteGUI(1)